<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: cookie_control_bar_panel.php
| Version: 2.00
| Author: PHP-Fusion Mods UK
| Developers: Craig And Ankur
| Sites: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$cookie_control_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='cookie_control'");

if (dbrows($cookie_control_check) > 0) {
if (file_exists(INFUSIONS."cookie_control/locale/".$settings['locale'].".php")) {
		include INFUSIONS."cookie_control/locale/".$settings['locale'].".php";
	} else {
		include INFUSIONS."cookie_control/locale/English.php";
	}
	
	include INFUSIONS."cookie_control/infusion_db.php";

	$cookie_control_settings = dbarray(dbquery("SELECT * FROM ".DB_COOKIE_SETTINGS));

		if ($cookie_control_settings['cc_enable'] == 1) {
		if (!isset($_COOKIE[COOKIE_PREFIX.'cookie_control'])) {
		include INFUSIONS."cookie_control/includes/cookies_control_bar_styles.php";

			echo"<div  title='Cookie Control Bar By Fangree Productions'  id='cookie-control'>";
			$the_text = nl2br(parseubb($cookie_control_settings['cc_text'], "color|b|i|u|small|url"));
			echo "<strong>".$locale['ecdp_001']."</strong> - ".$the_text;
			echo "<form name='cookie_control' method='post' action='#' onsubmit='setControlCookie(); return false;'>\n";
			echo"<span id='accept-cookies' >\n";
			echo"<input type='submit' name='accept_cookies' title='".$locale['ecdp_042']."' value='".$locale['ecdp_042']."' class='accept-button'>\n";
			echo"</span>\n";
			echo"</form>\n";
            echo"</div>\n";

			add_to_footer("<script type='text/javascript'>
			function setCookie(c_name,value,exdays)
			{
				var exdate=new Date();
				exdate.setDate(exdate.getDate() + exdays);
				var c_value=escape(value) + ((exdays==null) ? '' : '; expires='+exdate.toUTCString())
				 + '; path=/';
				document.cookie=c_name + '=' + c_value;
			}

			function getCookie(c_name)
			{
				var i,x,y,ARRcookies=document.cookie.split(';');
				for (i=0;i<ARRcookies.length;i++)
				{
					x=ARRcookies[i].substr(0,ARRcookies[i].indexOf('='));
					y=ARRcookies[i].substr(ARRcookies[i].indexOf('=')+1);
					x=x.replace(/^\s+|\s+$/g,'');
					if (x==c_name)
					{
						return unescape(y);
					}
				}
			}

			function setControlCookie()
			{
				setCookie('".COOKIE_PREFIX."cookie_control','yes',".$cookie_control_settings['cc_time'].");
				document.getElementById('cookie-control').style.display = 'none';
				return false;
			}

			var my_cookie=getCookie('".COOKIE_PREFIX."cookie_control');
			if (my_cookie!=null && my_cookie!='')
			{
				document.getElementById('cookie-control').style.display = 'none';
			}
			else
			{
				document.getElementById('cookie-control').style.display = 'block';
			}

			</script> ");
		}
	}
}
?>