<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: cookies_control_bar_styles.php
| Version: 2.00
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Sites: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$cookie_control_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='cookie_control'");

if (dbrows($cookie_control_check) > 0) {

include INFUSIONS."cookie_control/infusion_db.php";

$cookie_control_settings = dbarray(dbquery("SELECT * FROM ".DB_COOKIE_SETTINGS));

if ($cookie_control_settings['cc_enable'] == 1) {

add_to_head("<style type='text/css'>
#cookie-control{ 
font-size: 11px; 
color: #eee;
margin:0; 
position:fixed;
".(stripinput($cookie_control_settings['cc_position']==1?"top:0;":"bottom:0;"))." 
left:0;
width:100%; 
z-index: 100;
".(stripinput($cookie_control_settings['cc_position']==1?"border-bottom: 1px solid #".stripinput($cookie_control_settings['cc_border']).";":"border-top: 1px solid #".stripinput($cookie_control_settings['cc_border']).";"))." 
background: #".stripinput($cookie_control_settings['cc_bgcolour'])." url(".BASEDIR."infusions/cookie_control_bar_panel/images/cookies.png); 
background-position: 10px center; 
background-repeat: no-repeat;
padding: 3px 60px 5px 40px;
}
#accept-cookies {
padding-right: 15px; 
position:fixed;
".(stripinput($cookie_control_settings['cc_position']==1?"top:2px;":"bottom:5px;"))."  
right:0;
}
.accept-button { 	
font : 11px  Trebuchet MS, verdana, arial, sans-serif; 	
font-weight: bold; 
color : #".stripinput($cookie_control_settings['cc_accept_text'])."; 	
background-color: #".stripinput($cookie_control_settings['cc_accept']).";
height: 24px; 
border : 1px solid #".stripinput($cookie_control_settings['cc_accept_border'])."; 	
padding-bottom: 2px; 
margin-top: 2px; 
border-radius : 5px; 
-moz-border-radius : 5px; 
-webkit-border-radius : 5px;
}
.accept-button:hover { 	
font : 11px  Trebuchet MS, verdana, arial, sans-serif; 	
font-weight: bold; 
color : #".stripinput($cookie_control_settings['cc_accept_text_hover'])."; 	
background-color:  #".stripinput($cookie_control_settings['cc_accept_hover']).";	
height: 24px; 
border : 1px solid #".stripinput($cookie_control_settings['cc_accept_border_hover'])."; 	
padding-bottom: 2px; 
margin-top: 2px; 
border-radius : 5px; 
-moz-border-radius : 5px; 
-webkit-border-radius : 5px;
}
</style>");
}
}
?>